org.richfaces.fragment.inputNumberSpinner

## Class RichFacesInputNumberSpinner

- java.lang.Object
- - org.richfaces.fragment.inputNumberSlider.AbstractNumberInput
  - - org.richfaces.fragment.inputNumberSpinner.RichFacesInputNumberSpinner

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions>, AdvancedVisibleComponentIteractions<RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions>, NumberInput

      public class RichFacesInputNumberSpinner
      extends AbstractNumberInput
      implements NumberInput, AdvancedVisibleComponentIteractions<RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.inputNumberSlider.AbstractNumberInput

      `AbstractNumberInput.AdvancedNumberInputInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesInputNumberSpinner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions` | `advanced()`

    - ### Methods inherited from class org.richfaces.fragment.inputNumberSlider.AbstractNumberInput

      `decrease, decrease, getValue, increase, increase, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.inputNumberSlider.NumberInput

      `decrease, decrease, getValue, increase, increase, setValue`

- - ### Constructor Detail

    - #### RichFacesInputNumberSpinner

          public RichFacesInputNumberSpinner()

  - ### Method Detail

    - #### advanced

          public RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesInputNumberSpinner.AdvancedInputNumberSpinnerInteractions>`
      Specified by:
        `advanced` in class `AbstractNumberInput`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.